//Algorithm to calculate gravitational force
/*
@nestorgastly.humberto(nestorgastly.humberto@gmail.com
@Date 28/01/2022
/*******************************************************************************************************************************************
 *  												INCLUDE
 *******************************************************************************************************************************************/
#include <iostream>
#include<math.h>
using namespace std;
//Exercise 7
//***************************************************************************FUNCTION DECLARATION**********************************************************************************
void Run();
void CollectData();
void Calculate();
void ShowResults();
/*******************************************************************************************************************************************
 *  												MAIN
 *******************************************************************************************************************************************/
int main() {
	Run();
	return 0;
	}
/******************************************************************************************************************************************* 
*  												GLOBAL VARIABLE
*******************************************************************************************************************************************/

	double G=0.00000006673;
	double F;
	double M1;
	double M2;
	double D;
	double d;
/********************************************************************************************************
												FUNCTION DEFINITION
**********************************************************************************************************/
void Run(){
	CollectData();
	Calculate();
	ShowResults();
}
//===================================================================================================================================================================================
void CollectData(){	
	cout<<"Digite el valor de la masa del cuerpo 1 (en Kg) : ";
	cin>>M1;
	cout<<"Digite el valor de la masa del cuerpo 2 (en Kg) : ";
	cin>>M2;
	cout<<"Digite la distancia entre los cuerpos (en m) : ";
	cin>>D;
}
//===================================================================================================================================================================================
void Calculate() {
	d= pow(D,2);
	F=(G*M1*M2*1000)/d;
}
//=========================================================================================================================================================================================================================	
void ShowResults(){
	cout<<"La Fuerza gravitacional entre dichos cuerpos es : "<<F;
}
